import { jsonMessage, registerJsonMessageHandler } from 'eslint-plugin-utils';
import * as configs_ from './configs.js';
import * as meta from './meta.js';
import * as parser from './parser.js';
import * as rules from './rules/index.js';
const markup = { meta, rules };
const flatBase = {
    name: 'markup/flat-base',
    files: ['**/*.html'],
    plugins: { markup },
    processor: jsonMessage,
    languageOptions: { parser },
};
const flatRecommended = {
    ...flatBase,
    name: 'markup/flat-recommended',
    rules: configs_.recommended.rules,
};
export { meta, parser, rules };
export const configs = {
    ...configs_,
    flatBase,
    flatRecommended,
};
const SEVERITIES = ['info', 'warning', 'error'];
registerJsonMessageHandler('markup/markup', ({ ruleId, severity, message }, { severity: eslintSeverity }) => ({
    ruleId: `markup/${ruleId}`,
    message,
    severity: Math.max(eslintSeverity, SEVERITIES.indexOf(severity)),
}));
//# sourceMappingURL=index.js.map